OGRE: Ogre::SceneManager::ShadowCasterSceneQueryListener Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::SceneManager::ShadowCasterSceneQueryListener Class Reference

Inner class to use as callback for shadow caster scene query. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManager::ShadowCasterSceneQueryListener:
[legend]

List of all members.

## Public Member Functions
| ShadowCasterSceneQueryListener (SceneManager *sm)
void | prepare (bool lightInFrustum, const PlaneBoundedVolumeList *lightClipVolumes, const Light *light, const Camera *cam, ShadowCasterList *casterList, Real farDistSquared)
bool | queryResult (MovableObject *object)
bool | queryResult (SceneQuery::WorldFragment *fragment)
virtual bool | queryResult (MovableObject *object)=0
| Called when a MovableObject is returned by a query.
virtual bool | queryResult (SceneQuery::WorldFragment *fragment)=0
| Called when a WorldFragment is returned by a query.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
SceneManager * | mSceneMgr
ShadowCasterList * | mCasterList
bool | mIsLightInFrustum
const PlaneBoundedVolumeList * | mLightClipVolumeList
const Camera * | mCamera
const Light * | mLight
Real | mFarDistSquared

## Detailed Description

Inner class to use as callback for shadow caster scene query.

Definition at line 847 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::SceneManager::ShadowCasterSceneQueryListener::ShadowCasterSceneQueryListener | ( | SceneManager * | sm | ) |

Definition at line 858 of file OgreSceneManager.h.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

void Ogre::SceneManager::ShadowCasterSceneQueryListener::prepare | ( | bool | lightInFrustum,
|  | const PlaneBoundedVolumeList * | lightClipVolumes,
|  | const Light * | light,
|  | const Camera * | cam,
|  | ShadowCasterList * | casterList,
|  | Real | farDistSquared |
| ) |  |  |

Definition at line 862 of file OgreSceneManager.h.

virtual bool Ogre::SceneQueryListener::queryResult | ( | MovableObject * | object | ) | `[pure virtual, inherited]`

Called when a MovableObject is returned by a query.

Remarks:
  The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implemented in Ogre::RegionSceneQuery.

virtual bool Ogre::SceneQueryListener::queryResult | ( | SceneQuery::WorldFragment * | fragment | ) | `[pure virtual, inherited]`

Called when a WorldFragment is returned by a query.

Remarks:
  The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implemented in Ogre::RegionSceneQuery.

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult | ( | SceneQuery::WorldFragment * | fragment | ) |

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult | ( | MovableObject * | object | ) |

## Member Data Documentation

const Camera* Ogre::SceneManager::ShadowCasterSceneQueryListener::mCamera`[protected]`

Definition at line 854 of file OgreSceneManager.h.

ShadowCasterList* Ogre::SceneManager::ShadowCasterSceneQueryListener::mCasterList`[protected]`

Definition at line 851 of file OgreSceneManager.h.

Real Ogre::SceneManager::ShadowCasterSceneQueryListener::mFarDistSquared`[protected]`

Definition at line 856 of file OgreSceneManager.h.

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::mIsLightInFrustum`[protected]`

Definition at line 852 of file OgreSceneManager.h.

const Light* Ogre::SceneManager::ShadowCasterSceneQueryListener::mLight`[protected]`

Definition at line 855 of file OgreSceneManager.h.

const PlaneBoundedVolumeList* Ogre::SceneManager::ShadowCasterSceneQueryListener::mLightClipVolumeList`[protected]`

Definition at line 853 of file OgreSceneManager.h.

SceneManager* Ogre::SceneManager::ShadowCasterSceneQueryListener::mSceneMgr`[protected]`

Definition at line 850 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:00